footer.footer {
    background-color: var(--claret);
}

footer.footer .row-gap {
    row-gap: 30px;
}

footer.footer .contact-bar {
    background: var(--gradient-seventh);
    backdrop-filter: blur(10px);
    padding: 60px 0;
}

footer.footer .contact-bar-description .heading {
    background: var(--gradient-primary);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 28px;
}

footer.footer .contact-bar-number {
    display: flex;
    flex-direction: column;
    gap: 0;
    color: var(--white);
    line-height: 1;
    font-size: 24px;
}

footer.footer .contact-bar-number .phone {
    position: relative;
    font-size: 40px;
    font-weight: 700;
    line-height: 1;
    display: inline-block;
    background: var(--gradient-primary);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    white-space: nowrap;
    text-decoration: none;
    font-family: "Brygada 1918", serif;
}

footer.footer .contact-bar-number .phone::after {
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--gradient-primary-hover);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    pointer-events: none;
}

footer.footer .contact-bar-number .phone:hover::after {
    opacity: 1;
}

footer.footer .footer-bottom {
    padding-top: 60px;
    display: flex;
    flex-direction: column;
    row-gap: 60px;
}

footer.footer .footer-menu ul {
    display: flex;
    gap: 10px;
    justify-content: space-around;
}

footer.footer .footer-menu ul li a {
    color: var(--white);
    text-decoration: none;
    line-height: 1;
    white-space: nowrap;
    font-size: 18px;
    transition: color 0.3s ease-in-out, text-decoration 0.3s ease-in-out;
}

footer.footer .footer-menu ul li a:hover {
    color: var(--yellow);
    transition: color 0.3s ease-in-out, text-decoration 0.3s ease-in-out;
}

footer.footer .footer-social-media .social-media-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    border-radius: 100px;
    background-color: var(--yellow);
    transition: background-color 0.3s ease-in-out;
}

footer.footer .footer-social-media .social-media-button svg {
    width: 28px;
    height: 28px;
}

footer.footer .footer-social-media .social-media-button svg * {
    fill: var(--claret);
    transition: fill 0.3s ease-in-out;
}

footer.footer .footer-social-media .social-media-button:hover{
    background-color: var(--white);
    transition: background-color 0.3s ease-in-out;
}

footer.footer .footer-copyright {
    color: var(--white);
    line-height: 1;
    border-top: 1px solid var(--claret-light);
    padding: 20px 0;
}

footer.footer .footer-copyright svg {
    margin-bottom: 4px;
}

.footer-maps .container {
    display: flex;
    flex-direction: column;
    row-gap: 60px;
    text-align: center;
}

.footer-maps .row-gap {
    row-gap: 30px;
}

.footer-maps iframe {
    display: block;
    width: 100%;
    height: auto;
    aspect-ratio: 1/1;
    border-radius: 12px;
}

.footer-contact-data .single-location {
    display: flex;
    flex-direction: column;
    gap: 48px;
}

.footer-contact-data .single-location .name {
    font-size: 30px;
    font-weight: 600;
    line-height: 1;
    background: var(--gradient-primary);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.footer-contact-data .single-location .location-content {
    display: flex;
    flex-direction: column;
    gap: 16px;
    color: var(--white);
}

.footer-contact-data .single-location .location-content .location-data-label {
    font-size: 16px;
    font-weight: 500;
    line-height: 1;
    color: var(--yellow-two);
}

.footer-contact-data .single-location .location-content a {
    color: var(--white);
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    line-height: 1;
    transition: color 0.3s ease-in-out;
}

.footer-contact-data .single-location .location-content a:hover {
    color: var(--yellow);
    transition: color 0.3s ease-in-out;
}

.footer-contact-data .row-gap {
    row-gap: 60px !important;
}

@media (max-width: 1399.98px) {
    .footer-maps .container {
        row-gap: 50px;
    }
}
@media (max-width: 1199.98px) {
    .footer-maps .container {
        row-gap: 40px;
    }
}
@media (max-width: 991.98px) {
    .footer-maps .container {
        row-gap: 30px;
    }
}

@media (max-width: 767.98px) {
    footer.footer .contact-bar {
        text-align: center;
    }
    footer.footer .footer-menu ul {
        flex-direction: column;
        gap: 10px;
        align-items: center;
    }
    .footer-contact-data {
        text-align: center;
    }
}

@media (max-width: 575.98px) {
    footer.footer .contact-bar {
        padding: 30px 0;
    }
    footer.footer .contact-bar-description .heading {
        font-size: 24px;
    }
    footer.footer .contact-bar-number .phone {
        font-size: 32px;
    }
}

footer.footer .footer-menu .button.yellow {
    display: none !important;
}